邀请普通成员
仅企业工作区允许。不会返回邀请Token;成功意味着事务已写入邮件队列,不代表邮件已投递。
所需权限:members:invite。使用绑定目标工作区的 OpenAPI Key,以 Authorization: Bearer <OpenAPI Key> 鉴权。
Headers
- Type: stringIdempotency
- Key min length:1max length:200required同一机器 Key、同一操作使用唯一请求号;重复同参数复用原结果,换参数返回409。最长200字节。
Body·
required
application/json
只邀请普通 member;不能传 role、user_id、workspace_id。邀请邮件在同一事务中排队。
- Type: stringemailmax length:254Format: emailrequired
- Type: stringnamemax length:100
UTF-8编码不超过100字节。
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/v1/members/invitations
curl https://openapi.apigo.ai/v1/members/invitations \
--request POST \
--header 'Idempotency-Key: request-REPLACE-WITH-UNIQUE-ID' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"email": "member@example.com",
"name": "Example member"
}'
{
"code": 0,
"message": "string",
"data": {
"member": {
"id": "string",
"user_id": "string",
"name": "string",
"email": "string",
"role": "owner",
"status": "active",
"month_spend_usd": 1,
"joined_at": "2026-10-19T02:14:25.576Z",
"last_active_at": "2026-10-19T02:14:25.576Z",
"removed_at": "2026-10-19T02:14:25.576Z",
"invite_status": "string",
"invite_expires_at": "2026-10-19T02:14:25.576Z",
"invite_last_sent_at": "2026-10-19T02:14:25.576Z",
"invite_resend_count": 1,
"is_workspace_creator": true,
"role_locked": true
},
"email_queued": true
}
}